<template>
  <div id="header">
    <NavBar />
    <ProductSearchBar
      :searchResult="searchResult"
      @go-to-product-list="goToProductListFiltredByName"
      @search-product-while-tapping="searchSuggestion"
    />
  </div>
</template>

<script>
import NavBar from "./NavBar.vue";
import ProductSearchBar from "./ProductSearchBar.vue";
export default {
  name: "Header",
  components: {
    NavBar,
    ProductSearchBar
  },
  props: {
    searchResult: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {};
  },
  methods: {
    searchSuggestion(searchedProduct) {
      this.$emit("search-product-while-tapping", searchedProduct);
    },
    goToProductListFiltredByName(searchedProductName) {
      this.$emit("go-to-product-list", searchedProductName);
    }
  }
};
</script>

<style scoped>
header {
  list-style: none;
  display: flex;
  justify-content: center;
  color: #747474;
}

img {
  width: 50px;
  height: 50px;
}
</style>
